commit: 631dc94c1539276d1ccc56e3a74ca35bc71bf9f3
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 10 15:57:47 2020 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue Mar 10 15:58:02 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=631dc94c
media-gfx/imagemagick: bump to v6.9.11-0 & v7.0.10-0
Package-Manager: Portage-2.3.91, Repoman-2.3.20
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
media-gfx/imagemagick/Manifest | 2 +
...ick-9999.ebuild => imagemagick-6.9.11.0.ebuild} | 50 ++++++++--------------
...ick-9999.ebuild => imagemagick-7.0.10.0.ebuild} | 4 +-
media-gfx/imagemagick/imagemagick-9999.ebuild | 4 +-
4 files changed, 25 insertions(+), 35 deletions(-)
diff --git a/media-gfx/imagemagick/Manifest b/media-gfx/imagemagick/Manifest
index 02b4aea10ea..ffa4b2b0030 100644
--- a/media-gfx/imagemagick/Manifest
+++ b/media-gfx/imagemagick/Manifest
@@ -1,2 +1,4 @@
DIST ImageMagick-6.9.10-96.tar.xz 9071708 BLAKE2B
e122275c2b18527ecd1e1086ccb636c5cea7c895b5540fffc39a98a7f0ac44dfddfc706668dd5a5c0bfd0f3d3037efe4576d200391e4f9dee821b82db3b02f75
SHA512
d1502c287bf0d592e4271d84bdbe9b17c8bd0aeff2bcb374d13b482c3c19deade1b96360a58972872a46c0677ebab8b84af6d0e4036a7a271cf615362e6086b9
+DIST ImageMagick-6.9.11-0.tar.xz 9072040 BLAKE2B
8e3df83c5a009e3a03599a20b9bc2d6f1e91add659d8de150a4ebeafb91218bc62aac25c755a6a1010e00c2d14853a0d8a4849e2b55c899587acdf2d28d8b7c5
SHA512
fe6786365dfe8973e4660f4070cb85335f88985ec9e2484fe382d1f5c1f0123476cdf8e976107072b5ed13b05190f906be89e5215e16dc62e5daebe3ede40bf2
+DIST ImageMagick-7.0.10-0.tar.xz 9532856 BLAKE2B
510e1ac8010b7e2267950e868ce8d0fcd36e37c936c67b1603f4dfdc247cda8dd4aa59fc0d88f5d2a2c0a9a199331cca834797f315814964b68dfad1ab24f355
SHA512
d997429855fa4bc48da32e00ea5c45467a6bd3265c35c0aff8f150346e467451737f276833d4fa867f0e2e52110f532416af1dafdbc8e81d2d11dd0c4c80f011
DIST ImageMagick-7.0.9-26.tar.xz 9493028 BLAKE2B
84d3f0bb59238db3e3a0c0f40b4b4b428dc81168468d4d9e7a0f00c74e46102c9c9444891236b105f293080f9601c7ed63ad4592a8ef622554b3aa0c043bf2fb
SHA512
0488c6e0e0315bd5390cea952f7acb217e3c651c325f2cd4cb02475c25f7f721a31b20b53bb8b6dce064cedfbfd51711a34627fbb8a8c515636e7627ceda67ed
diff --git a/media-gfx/imagemagick/imagemagick-9999.ebuild
b/media-gfx/imagemagick/imagemagick-6.9.11.0.ebuild
similarity index 82%
copy from media-gfx/imagemagick/imagemagick-9999.ebuild
copy to media-gfx/imagemagick/imagemagick-6.9.11.0.ebuild
index 8d8ee8a769b..9e9f184c44f 100644
--- a/media-gfx/imagemagick/imagemagick-9999.ebuild
+++ b/media-gfx/imagemagick/imagemagick-6.9.11.0.ebuild
@@ -1,35 +1,27 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI="7"
+EAPI="6"
-inherit flag-o-matic libtool perl-functions toolchain-funcs multilib
+inherit eapi7-ver eutils flag-o-matic libtool perl-functions toolchain-funcs
multilib
-if [[ ${PV} == "9999" ]] ; then
- EGIT_REPO_URI="https://github.com/ImageMagick/ImageMagick.git"
- inherit git-r3
- MY_P="imagemagick-9999"
-else
- MY_PV="$(ver_rs 3 '-')"
- MY_P="ImageMagick-${MY_PV}"
- SRC_URI="mirror://imagemagick/${MY_P}.tar.xz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390
~sh ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos
~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-fi
+MY_PV="$(ver_rs 3 '-')"
+MY_P="ImageMagick-${MY_PV}"
DESCRIPTION="A collection of tools and libraries for many image formats"
HOMEPAGE="https://www.imagemagick.org/"
+SRC_URI="mirror://imagemagick/${MY_P}.tar.xz"
LICENSE="imagemagick"
-SLOT="0/7.0.9"
+SLOT="0/6.9.11"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc
~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="bzip2 corefonts cxx djvu fftw fontconfig fpx graphviz hdri heif jbig
jpeg jpeg2k lcms lqr lzma opencl openexr openmp pango perl png postscript q32
q8 raw static-libs svg test tiff truetype webp wmf X xml zlib"
-RESTRICT="!test? ( test )"
REQUIRED_USE="corefonts? ( truetype )
test? ( corefonts )"
-RESTRICT="!test? ( test )"
-
-BDEPEND="virtual/pkgconfig"
+RESTRICT="perl? ( userpriv )
+ !test? ( test )"
RDEPEND="
dev-libs/libltdl:0
@@ -70,12 +62,13 @@ RDEPEND="
xml? ( dev-libs/libxml2:= )
lzma? ( app-arch/xz-utils )
zlib? ( sys-libs/zlib:= )"
-
DEPEND="${RDEPEND}
!media-gfx/graphicsmagick[imagemagick]
+ virtual/pkgconfig
X? ( x11-base/xorg-proto )"
S="${WORKDIR}/${MY_P}"
+#S="${WORKDIR}/ImageMagick6-${MY_PV}"
src_prepare() {
default
@@ -93,7 +86,7 @@ src_prepare() {
elibtoolize # for Darwin modules
# For testsuite, see https://bugs.gentoo.org/show_bug.cgi?id=500580#c3
- local ati_cards mesa_cards nvidia_cards render_cards
+ local mesa_cards ati_cards nvidia_cards render_cards
shopt -s nullglob
ati_cards=$(echo -n /dev/ati/card* | sed 's/ /:/g')
if test -n "${ati_cards}"; then
@@ -103,7 +96,7 @@ src_prepare() {
if test -n "${mesa_cards}"; then
addpredict "${mesa_cards}"
fi
- nvidia_cards=$(echo -n /dev/nvidia* | sed 's/ /:/g')
+ nvidia_cards=$(echo -n /dev/nvidia** | sed 's/ /:/g')
if test -n "${nvidia_cards}"; then
addpredict "${nvidia_cards}"
fi
@@ -155,7 +148,6 @@ src_configure() {
$(use_with jbig)
$(use_with jpeg)
$(use_with jpeg2k openjp2)
- --without-jxl
$(use_with lcms)
$(use_with lqr)
$(use_with lzma)
@@ -184,12 +176,8 @@ src_test() {
die "Failed to install default blank policy.xml in
'${_im_local_config_home}'"
local im_command= IM_COMMANDS=()
- if [[ ${PV} == "9999" ]] ; then
- IM_COMMANDS+=( "magick -version" ) # Show version we are using
-- cannot verify because of live ebuild
- else
- IM_COMMANDS+=( "magick -version | grep -q -- \"${MY_PV}\"" ) #
Verify that we are using version we just built
- fi
- IM_COMMANDS+=( "magick -list policy" ) # Verify that policy.xml is used
+ IM_COMMANDS+=( "identify -version | grep -q -- \"${MY_PV}\"" ) # Verify
that we are using version we just built
+ IM_COMMANDS+=( "identify -list policy" ) # Verify that policy.xml is
used
IM_COMMANDS+=( "emake check" ) # Run tests
for im_command in "${IM_COMMANDS[@]}"; do
@@ -206,7 +194,7 @@ src_install() {
DOCUMENTATION_PATH="${EPREFIX}"/usr/share/doc/${PF}/html \
install
- rm -f "${ED}"/usr/share/doc/${PF}/html/{ChangeLog,LICENSE,NEWS.txt}
+ rm -f "${ED%/}"/usr/share/doc/${PF}/html/{ChangeLog,LICENSE,NEWS.txt}
dodoc {AUTHORS,README}.txt ChangeLog
if use perl; then
@@ -238,7 +226,7 @@ pkg_postinst() {
else
local v
for v in ${REPLACING_VERSIONS}; do
- if ! ver_test "${v}" -gt "7.0.8.10-r2"; then
+ if ! ver_test "${v}" -gt "6.9.10.10-r2"; then
# This is an upgrade
_show_policy_xml_notice=yes
@@ -249,7 +237,7 @@ pkg_postinst() {
fi
if [[ -n "${_show_policy_xml_notice}" ]]; then
- elog "For security reasons, a policy.xml file was installed in
/etc/ImageMagick-7"
+ elog "For security reasons, a policy.xml file was installed in
/etc/ImageMagick-6"
elog "which will prevent the usage of the following coders by
default:"
elog ""
elog " - PS"
diff --git a/media-gfx/imagemagick/imagemagick-9999.ebuild
b/media-gfx/imagemagick/imagemagick-7.0.10.0.ebuild
similarity index 99%
copy from media-gfx/imagemagick/imagemagick-9999.ebuild
copy to media-gfx/imagemagick/imagemagick-7.0.10.0.ebuild
index 8d8ee8a769b..6b8545f0e37 100644
--- a/media-gfx/imagemagick/imagemagick-9999.ebuild
+++ b/media-gfx/imagemagick/imagemagick-7.0.10.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -20,7 +20,7 @@ DESCRIPTION="A collection of tools and libraries for many
image formats"
HOMEPAGE="https://www.imagemagick.org/"
LICENSE="imagemagick"
-SLOT="0/7.0.9"
+SLOT="0/7.0.10"
IUSE="bzip2 corefonts cxx djvu fftw fontconfig fpx graphviz hdri heif jbig
jpeg jpeg2k lcms lqr lzma opencl openexr openmp pango perl png postscript q32
q8 raw static-libs svg test tiff truetype webp wmf X xml zlib"
RESTRICT="!test? ( test )"
diff --git a/media-gfx/imagemagick/imagemagick-9999.ebuild
b/media-gfx/imagemagick/imagemagick-9999.ebuild
index 8d8ee8a769b..6b8545f0e37 100644
--- a/media-gfx/imagemagick/imagemagick-9999.ebuild
+++ b/media-gfx/imagemagick/imagemagick-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="7"
@@ -20,7 +20,7 @@ DESCRIPTION="A collection of tools and libraries for many
image formats"
HOMEPAGE="https://www.imagemagick.org/"
LICENSE="imagemagick"
-SLOT="0/7.0.9"
+SLOT="0/7.0.10"
IUSE="bzip2 corefonts cxx djvu fftw fontconfig fpx graphviz hdri heif jbig
jpeg jpeg2k lcms lqr lzma opencl openexr openmp pango perl png postscript q32
q8 raw static-libs svg test tiff truetype webp wmf X xml zlib"
RESTRICT="!test? ( test )"